package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.ProductRepository;
import com.realnet.order_estimation.Entity.Product
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class ProductService {
@Autowired
private ProductRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Product Savedata(Product data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Product save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Product> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Product> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Product> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Product getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Product update(Product data,Integer id) {
	Product old = Repository.findById(id).get();
old.setProduct(data.getProduct());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setType(data.getType());

final Product test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
